Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592688 - /proc/cpuinfo does not show virtualization cpuid functions of AMD cpus
/proc/cpuinfo does not show virtualization cpuid functions of AMD cpus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 05:54 EDT by Gleb Natapov
Modified: 2013-12-08 19:47 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-28.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 04:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gleb Natapov 2010-05-16 05:54:19 EDT
Description of problem:
/proc/cpuinfo does not show virtualization cpuid features of AMD cpus

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. boot on amd cpu with npt feature
2. cat /proc/cpuinfo | grep npt
3.
  
Actual results:
nothing

Expected results:
flags field should have npt

Additional info:
Comment 2 RHEL Product and Program Management 2010-05-17 03:39:22 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 4 RHEL Product and Program Management 2010-05-17 06:29:17 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 5 RHEL Product and Program Management 2010-05-17 07:44:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 Aristeu Rozanski 2010-05-20 17:59:21 EDT
Patch(es) available on kernel-2.6.32-28.el6
Comment 10 Quan Wenli 2010-06-04 04:51:32 EDT
reproduced it successfully on kernel-2.6.32-25.el6.x86_64,
verified it on kernel-2.6.32-30.el6.x86_64,the npt flag can be seen in the cpuinfo.So it's passed,I close it.Thanks~

Note You need to log in before you can comment on or make changes to this bug.